package com.mortals.xhx.module.task.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:TaskForm
* date: 2021-8-4 19:20:23
*/
public class TaskFormEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1628076023624L;


    /**
    * 表单主键ID
    */
    private Long formId;

    /**
    * 所属任务主键
    */
    private String taskId;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建用户,登录名
    */
    private String createUser;

    /**
    * 创建人ID
    */
    private Long createUserId;

    public TaskFormEntity(){

    }
    /**
    * 获取 表单主键ID
    * @return formId
    */
    public Long getFormId() {
        return this.formId;
    }
    /**
    * 设置 表单主键ID
    * @param formId
    */
    public void setFormId(Long formId) {
        this.formId = formId;
    }
    /**
    * 获取 所属任务主键
    * @return taskId
    */
    public String getTaskId() {
        return this.taskId;
    }
    /**
    * 设置 所属任务主键
    * @param taskId
    */
    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 创建用户,登录名
    * @return createUser
    */
    public String getCreateUser() {
        return this.createUser;
    }
    /**
    * 设置 创建用户,登录名
    * @param createUser
    */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }
    /**
    * 获取 创建人ID
    * @return createUserId
    */
    public Long getCreateUserId() {
        return this.createUserId;
    }
    /**
    * 设置 创建人ID
    * @param createUserId
    */
    public void setCreateUserId(Long createUserId) {
        this.createUserId = createUserId;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof TaskFormEntity) {
            TaskFormEntity tmp = (TaskFormEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",formId:").append(getFormId())
                .append(",taskId:").append(getTaskId())
                .append(",createTime:").append(getCreateTime())
                .append(",createUser:").append(getCreateUser())
                .append(",createUserId:").append(getCreateUserId())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.formId = null;
         this.taskId = null;
         this.createTime = null;
         this.createUser = null;
         this.createUserId = null;
    }
}